Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.laf
Class LookAndFeelIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LookAndFeelID>
              com.bea.portal.tools.portal.laf.LookAndFeelIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class LookAndFeelIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LookAndFeelID>

Builds and parses `LookAndFeelID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`LookAndFeelIDBuilder()` Constructor.

Method Summary
`LookAndFeelID` | `createResourceID()` Create the `LookAndFeelDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent look-and-feel definition.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()` Get the `LookAndFeelDefinitionId`.
`LookAndFeelIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`LookAndFeelIDBuilder` | `setId(Integer id)` Change the identifier of the referrent look-and-feel definition.
`LookAndFeelIDBuilder` | `setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)` Change the `LookAndFeelDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookAndFeelIDBuilder

    public LookAndFeelIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public LookAndFeelIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `LookAndFeelDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LookAndFeelID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent look-and-feel definition.

  Returns
    the identifier of the referrent look-and-feel definition

### setId

    public LookAndFeelIDBuilder setId(Integer id)

  Change the identifier of the referrent look-and-feel definition.

  Parameters
    `id` - the identifier of the referrent look-and-feel definition
  Returns
    this `LookAndFeelIDBuilder`

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

  Get the `LookAndFeelDefinitionId`.

  Returns
    the `LookAndFeelDefinitionId`

### setLookAndFeelDefinitionId

    public LookAndFeelIDBuilder setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)

  Change the `LookAndFeelDefinitionId`.

  Parameters
    `lookAndFeelDefinitionId` - the `LookAndFeelDefinitionId`
  Returns
    this `LookAndFeelDefinitionIDBuilder`

### createResourceID

    public LookAndFeelID createResourceID()

  Create the `LookAndFeelDefinitionsID`. the `LookAndFeelDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<LookAndFeelID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.